#
# spec file for package glean (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libjpeg libtiff mesa mesa-devel mesaglut mesaglut-devel mesasoft xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg libtiff libtool libz m4 make man mesa mesa-devel mesaglut mesaglut-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         glean
Copyright:    Allen Akin
Group:        Development
Provides:     glean_1_0
Requires:     mesa libtiff
Autoreqprov:  on
Version:      1.0
Release:      274
Summary:      OpenGL Evaluation Suite
Source:	      glean-CVS-001109.tar.gz
Patch:	      glean.dif

%description
Glean is a suite of tools for evaluating the quality of an OpenGL
implementation and diagnosing any problems that are discovered. Glean
also has the ability to compare two OpenGL implementations and
highlight the differences between them.

Authors:
--------
    Allen Akin <glean@pobox.com>

SuSE series: x3d

%prep
%setup -n glean
%patch

%build
rm -rf `find . -name CVS`
export GLEAN_ROOT=`pwd`
cd src; make -i install

%install
# Binaries
install -g root -o root -m 755 bin/* /usr/bin
# Docs
install -g root -o root -d /usr/share/doc/packages/glean
install -g root -o root -m 644 CHANGES COPYRIGHT /usr/share/doc/packages/glean
cp -r doc/html /usr/share/doc/packages/glean

%files
%doc /usr/share/doc/packages/glean
/usr/bin/difftiff  
/usr/bin/glean     
/usr/bin/showtiff  
/usr/bin/showvis

%changelog -n glean
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Mon Mar 12 2001 - schwab@suse.de
- Add missing cast.
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Wed Nov 22 2000 - uli@suse.de
- fixed to build
* Tue Nov 21 2000 - ro@suse.de
- removed eazy from neededforbuild
* Thu Nov 09 2000 - sndirsch@suse.de
- updated to CVS release (now compiles also with Mesa 3.4)
* Wed May 24 2000 - sndirsch@suse.de
- added mesadev for #neededforbuild
* Sun May 21 2000 - sndirsch@suse.de
-  changed /usr/doc/packages/glean to /usr/share/doc/packages/glean
* Wed Feb 09 2000 - sndirsch@suse.de
- changed group tag
* Tue Jan 04 2000 - sndirsch@suse.de
- update to realease 1.0
* Sun Oct 24 1999 - sndirsch@suse.de
- updated to release 0.5
* Wed Oct 06 1999 - sndirsch@suse.de
- updated to release 0.4
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 10 1999 - ro@suse.de
- march=pentiumpro on x86 only
* Tue Aug 31 1999 - sndirsch@suse.de
- specfile created
